package milab.lab02.ontology;

public class ScienceOntology extends SimpleOntology {

	// The name identifying this ontology
	public static final String ONTOLOGY_NAME = "science";

	// The singleton instance of this ontology
	private static SimpleOntology theInstance = new ScienceOntology();

	// Retrieve the singleton Book-trading ontology instance
	public static SimpleOntology getInstance() {
		return theInstance;
	}

	// Private constructor
	private ScienceOntology() {

		// create the ontology with the given name
		super(ONTOLOGY_NAME);
		
		OntologyConcept c1 = new OntologyConcept("Science");
		OntologyConcept c2 = new OntologyConcept("Popular Science");
		this.add(c1);
		this.add(c2);
		c1.addRelation(c2, OntologyConcept.REL_NARROWER);
		
		OntologyConcept c3 = new OntologyConcept("phylosophy");
		OntologyConcept c4 = new OntologyConcept("thought");
		OntologyConcept c5 = new OntologyConcept("mind");
		this.add(c3);
		this.add(c4);
		this.add(c5);
		c3.addRelation(c5, OntologyConcept.REL_NARROWER);
		c5.addRelation(c4, OntologyConcept.REL_NARROWER);

		OntologyConcept c6 = new OntologyConcept("physics");
		OntologyConcept c7 = new OntologyConcept("quantumphysics");
		OntologyConcept c8 = new OntologyConcept("timetravel");
		this.add(c6);
		this.add(c7);
		this.add(c8);
		c6.addRelation(c7, OntologyConcept.REL_NARROWER);
		c6.addRelation(c8, OntologyConcept.REL_NARROWER);
	}
}