/**
 * 
 */
package milab.lab02.ontology;

import java.util.List;

import jade.content.onto.Ontology;

/**
 *  A very simple "ontology" to list concept names and their relations.
 *
 */
public class SimpleOntology {
	String name;
	List <OntologyConcept> concepts;
	/**
	 * Construct an Ontology object with a given <code>name</code>.
	 * @param name The identifier of the ontology.
	 */
	public SimpleOntology(String n) {
		name=n;
	}
	
	public void add(OntologyConcept concept) {
		if (!this.concepts.contains(concept)) {
			this.concepts.add(concept);
		}
	}
	
	public void setRelation(OntologyConcept c1, OntologyConcept c2, int relationType) {
		c1.addRelation(c2, relationType);
	}
	
	public List<OntologyConcept> getRelatedConcepts(OntologyConcept c, int relationType) {
		return c.getRelatedConcepts(relationType);
	}

	public boolean isRelated(OntologyConcept c1, OntologyConcept c2) {
		return c1.isRelated(c2);
	}
	
	public boolean isRelated(String s1, String s2) {
		OntologyConcept c1 = this.findConcept(s1);
		OntologyConcept c2 = this.findConcept(s2);
		if (c1==null || c2==null) return false;
		return c1.isRelated(c2);
	}

	public OntologyConcept findConcept(String name) {
		OntologyConcept found;
		for (int i=0; i<this.concepts.size(); i++) {
			if (concepts.get(i).equals(name)) return concepts.get(i);
		}
		return null;
	}
}
